#(* File: create_choice.sh
# * Created: 12-02-2007
# * Author: Pepijn Crouzen, Universitaet des Saarlandes (crouzen@alan.cs.uni-sb.de)
# * This Bourne shell script generates an Aldebaran model for an LTS which chooses between Y actions labelled T1 ... T{Y}.
# * After performing one such actions non-deterministically the LTS stops.
# *)
 
# (* Parsing parameters *)
 
if [ $# -lt 1 ]
then
 	SVL_ERROR "This script requires one parameter!" "" "Usage: sh create_choice.sh y"
fi
 
Y=$1
echo "des (0,$Y,2)"
Yp=1
while [ $Yp -le $Y ]
do
	echo "(0,T$Yp,1)"
	Yp=`expr $Yp + 1`
done